Skip to Content

Models

11 endpoints

POST /api/v5/artifacts/models/get

Get Model

Get model information using the canonical shared model operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ model_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` model_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` provider_show_ai_generate?: `boolean` | `null` features_show_ai_generate?: `boolean` | `null` names?: `ModelNameSection` | `null` descriptions?: `ModelDescriptionSection` | `null` values?: `ModelValueSection` | `null` providers?: `ModelProviderSection` | `null` flags?: `ModelFlagSection` | `null` departments?: `ModelDepartmentSection` | `null` modalities?: `ModelModalitySection` | `null` temperature_levels?: `ModelTemperatureLevelSection` | `null` pricing?: `ModelPricingSection` | `null` reasoning_levels?: `ModelReasoningLevelSection` | `null` qualities?: `ModelQualitySection` | `null` ... }

POST /api/v5/artifacts/models/search

Search Model

Search models — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_provider_ids?: `string`[] | `null` filter_department_ids?: `string`[] | `null` filter_agent_ids?: `string`[] | `null` provider_search?: `string` | `null` department_search?: `string` | `null` agent_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` models?: `ListModelApiModel`[] | `null` provider_filter?: `ListFilterSection` | `null` department_filter?: `ListFilterSection` | `null` agent_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/models/create

Create Model

Create models using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ models: `CreateModelItem`[] }

Response:

{ results: `ModelResultItem`[] }

POST /api/v5/artifacts/models/update

Update Model

Update models using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ models: `UpdateModelItem`[] }

Response:

{ results: `ModelResultItem`[] }

POST /api/v5/artifacts/models/duplicate

Duplicate Model

Duplicate a model — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ model_id: `string` }

Response:

{ success: `boolean` model_id: `string` message: `string` }

POST /api/v5/artifacts/models/delete

Delete Model

Bulk delete models — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ model_ids: `string`[] }

Response:

{ results: `DeleteModelResult`[] }

PATCH /api/v5/artifacts/models/draft

Patch Model Draft

Patch model draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_ids?: `string`[] | `null` department_ids?: `string`[] | `null` modality_ids?: `string`[] | `null` pricing_ids?: `string`[] | `null` provider_ids?: `string`[] | `null` quality_ids?: `string`[] | `null` reasoning_level_ids?: `string`[] | `null` temperature_level_ids?: `string`[] | `null` value_ids?: `string`[] | `null` voice_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `ModelDraftFormState` | `null` }

POST /api/v5/artifacts/models/drafts

Get Model Drafts

List model drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetModelDraftResponse`[] | `null` }

POST /api/v5/artifacts/models/docs

Get Model Docs Endpoint

Get composed documentation for the model artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/models/export

Export Models

Export all models as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ model_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/models/refresh

Model Refresh

Refresh model materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on